Bug 1473364 - New SCM 2 build requires network access
New SCM 2 build requires network access
Status: CLOSED CURRENTRELEASE
Product: Copr
Classification: Community
Component: backend (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: clime
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-20 11:35 EDT by Marc Dequènes (Duck)
Modified: 2017-09-08 06:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-08 06:18:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marc Dequènes (Duck) 2017-07-20 11:35:19 EDT
Description of problem:
I had to activate network during build (see https://copr-be.cloud.fedoraproject.org/results/duck/osas-infra-team-rpm-repo/epel-7-x86_64/00581806-postsrsd/builder-live.log). I can activate this permanently and I'll have my packages built, but I think from a security point of view this is not a bright idea. My packages do not need network during the build phase, so I think the SRPM preparation should be decorrelated. At the very least it should at least be documented because this is a change from previous behavior (where the source could be downloaded without this option).

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. prepare a package SPEC using a source as URL in git
2. configure you package with SCM 2 method and your previously created repo
3. build without network access

Actual results:
Build fails because the source firl could not be downloaded:
---------------------------------------------
Start: buildsrpm
Start: rpmbuild -bs
warning: Downloading https://github.com/roehling/postsrsd/archive/a77bf9940c19aca602faa41bbf987e43e51a5305.tar.gz#/postsrsd-a77bf9940c19aca602faa41bbf987e43e51a5305.tar.gz to /builddir/build/SOURCES/postsrsd-a77bf9940c19aca602faa41bbf987e43e51a5305.tar.gz
curl: (6) Could not resolve host: github.com; Unknown error
error: Couldn't download https://github.com/roehling/postsrsd/archive/a77bf9940c19aca602faa41bbf987e43e51a5305.tar.gz#/postsrsd-a77bf9940c19aca602faa41bbf987e43e51a5305.tar.gz
---------------------------------------------

Expected results:
Better would be to create the SRPM _with_ network always, and use the current " Enable internet access during this build" only for the real build phase.

Additional info:
The new SCM 2 build was introduced in ticket #1471066.
Comment 1 Marc Dequènes (Duck) 2017-08-22 05:16:14 EDT
Any news?
Comment 2 clime 2017-08-29 16:51:20 EDT
Sorry, this is not that easy problem and we will need to consider this after we move srpm generation to builders, which is the current plan. I will keep you informed.
Comment 3 clime 2017-09-08 06:18:39 EDT
Network access is no longer required for srpm building. Thank you a lot for this report!

Note You need to log in before you can comment on or make changes to this bug.